#!/bin/tcsh

# ######################################################################
# Demonstration of Topoman with NAM display
# Thierry Ernst
# Version 08.05.01
# ######################################################################
   set NS=mobiwan				# NS binary
   set stop=100					# Stop time
   set TOPOF=./topologies/micro-test-20-0.tcl	# topology file
  
   # Output Directory
   set OUTDIR=.tmp
   echo "Output in temporary directory $OUTDIR"
   if ( -d $OUTDIR ) then
	rm -R $OUTDIR
   endif
   mkdir $OUTDIR
   set NAMF={$OUTDIR}/out.nam		# NAM file (optional)
   set TRACEF={$OUTDIR}/out.tr
   set INFOF={$OUTDIR}/out.info   

   # Launch simulation  
   $NS topoman.tcl -NAM 1 -namfile $NAMF -RUN NAM -topoman WIREDONLY -DISPLAY_INFO TRUE -DISPLAY_INPUT TRUE -stop $stop -topo_file $TOPOF -tracefile $TRACEF > $INFOF 

