#!/bin/tcsh

# ######################################################################
# Demonstration of Topoman for different topologies 
# Thierry Ernst
# Version 08.05.01
# ######################################################################
set topos = (small-topo-by-hand micro-test-20-0 t-10-100-450-0-0 )
   
   # Output Directory
   set OUTDIR=.tmp
   echo "Output in temporary directory $OUTDIR"
   if ( -d $OUTDIR ) then
	rm -R $OUTDIR
   endif
   mkdir $OUTDIR

foreach topo ( $topos )
   set NS=mobiwan			# NS binary
   set stop=100				# Stop time

   set TOPOF=topologies/{$topo}.tcl	# topology file path
   set NAMF={$OUTDIR}/{$topo}.nam	# NAM file (optional)
   set TRACEF={$OUTDIR}/{$topo}.tr
   set INFOF={$OUTDIR}/{$topo}.info   

   # Launch simulation  
   $NS topoman.tcl -RUN FALSE -topoman WIREDONLY -DISPLAY_INFO TRUE -DISPLAY_INPUT TRUE file -topo_file $TOPOF -tracefile $TRACEF > $INFOF 

end  
