

################################################################
# Main 
################################################################
proc main { } {
   global opt ns namf n tracef infof

   #>--------------- Extract options from command line ---------------<
   Getopt	; # Get option from the command line	

   # Following allows to display information about scenario and topology 
   if { [info exists opt(DISPLAY_INFO)] && $opt(DISPLAY_INFO) == "TRUE" } {
	display "ON"
   }
   if { [info exists opt(DISPLAY_INPUT)] && $opt(DISPLAY_INPUT) == "TRUE" } {
	dinput "ON"
   }

   #>------------------------ Open stdout files ----------------------<
   if { [display?] } { 
	if { [info exists opt(infofile)] && $opt(infofile) != "stdout" } { 
		set infof [open $opt(infofile) w]
	} else {
		set infof stdout 
	}
	#  Remind simulation parameters to user
   	DisplayCommandLine  
   } 
   
   #>---------------------- Simulator Settings ----------------------<
   set ns [new Simulator]

   #>------------------------ Open trace files ----------------------<
   exec rm -f $opt(tracefile)
   set tracef [open $opt(tracefile) w]
   $ns trace-all $tracef
   
   if { [info exists opt(NAM)] && $opt(NAM) == 1 } {
        set namf [open $opt(namfile) w]
        $ns namtrace-all $namf
   }

   #>------------- Protocol and Topology Settings -------------------<
   if { [info exists opt(topoman)] && $opt(topoman) == "WIREDONLY"} {
	wired-topo-settings
   } else {
	topo-settings
   }

   #>----------------------- Run Simulation -------------------------<
   if { $opt(RUN) == "TRUE" } {
	if { [display?] } {
	   puts $infof "*** Starting Simulation at [exec date]"
	}
	# Do not forget last measure
	set stop [expr $opt(stop) + 0.01]
	$ns at $stop "finish"
	$ns run
	
   } elseif { [info exists opt(NAM)] && $opt(NAM) == 1 } {
	$ns dump-topology $namf
        close $namf
        puts "running nam with $opt(namfile) ... "
        exec nam $opt(namfile) &
   }
}

################################################################
# End of Simulation
################################################################
proc finish { } {
  global tracef infof
  global ns namf opt
 
  $ns flush-trace
  flush $tracef
  close $tracef

 if { $opt(NAM) == 1 } {
     close $namf
     puts "running nam with $opt(namfile) ... "
     exec nam $opt(namfile) &
  }
  if { [display?] } {
     if { $opt(infofile) != "stdout" } {
        flush $infof
        close $infof
     }
   }
   exit 0
}

main

